//
//  WebServiceConnect.h
//  WallpaperBrowser
//
//  Created by Brian Moakley on 3/10/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol RWWallpaperServiceDelegate <NSObject>

@required
-(void) allowAccess;
-(void) denyAccess: (NSError *) error;

@end

@interface RWWallpaperService : NSObject<NSURLSessionDelegate>

@property (nonatomic, weak) id<RWWallpaperServiceDelegate> delegate;
@property (nonatomic, assign) int wallpaperID;

-(void) connect;

@end
